summaryrefslogtreecommitdiff
path: root/tests/tail-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2')
-rwxr-xr-xtests/tail-2/big-4gb2
-rwxr-xr-xtests/tail-2/follow-name2
-rwxr-xr-xtests/tail-2/follow-stdin2
-rwxr-xr-xtests/tail-2/pipe-f2
-rwxr-xr-xtests/tail-2/pipe-f22
-rwxr-xr-xtests/tail-2/start-middle2
6 files changed, 6 insertions, 6 deletions
diff --git a/tests/tail-2/big-4gb b/tests/tail-2/big-4gb
index 874081168..ecd73c09b 100755
--- a/tests/tail-2/big-4gb
+++ b/tests/tail-2/big-4gb
@@ -45,6 +45,6 @@ cat <<\EOF > exp
1
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/tail-2/follow-name b/tests/tail-2/follow-name
index e34b77964..15aff279c 100755
--- a/tests/tail-2/follow-name
+++ b/tests/tail-2/follow-name
@@ -31,6 +31,6 @@ test $? = 1 || fail=1
# we can compare against the above error
sed '/inotify cannot be used/d' err > k && mv k err
-compare err exp || fail=1
+compare exp err || fail=1
Exit $fail
diff --git a/tests/tail-2/follow-stdin b/tests/tail-2/follow-stdin
index 51520ab67..66fb26c3d 100755
--- a/tests/tail-2/follow-stdin
+++ b/tests/tail-2/follow-stdin
@@ -31,6 +31,6 @@ test $? = 124 || fail=1
test -s err && fail=1
# Ensure there was
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/tail-2/pipe-f b/tests/tail-2/pipe-f
index db092e758..3552f1089 100755
--- a/tests/tail-2/pipe-f
+++ b/tests/tail-2/pipe-f
@@ -22,6 +22,6 @@ print_ver_ tail
echo foo | timeout 10 tail -f -c3 > out || fail=1
echo oo > exp || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/tail-2/pipe-f2 b/tests/tail-2/pipe-f2
index 3421798b4..727b30676 100755
--- a/tests/tail-2/pipe-f2
+++ b/tests/tail-2/pipe-f2
@@ -35,7 +35,7 @@ check_tail_output()
# Wait 6.3s for tail to write something.
retry_delay_ check_tail_output .1 7 || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
# Kill the still-running tail, or fail if it's gone.
kill $pid || fail=1
diff --git a/tests/tail-2/start-middle b/tests/tail-2/start-middle
index 3dcbacbf9..6658ca201 100755
--- a/tests/tail-2/start-middle
+++ b/tests/tail-2/start-middle
@@ -28,6 +28,6 @@ cat <<EOF > exp
2
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail